// 档案分类
import { action, makeObservable, observable } from "mobx";
import BaseStore from "./baseStore";
import baseHttp from "@/service/base";
import { TagDataType } from "@/model/userModel";

class SysConfig {
    static LISTBannler: string = "sys/banner"
    static ADDBanner: string = "sys/banner"
    static LIST: string = "sys/drop"
    static ADD: string = "sys/drop"
}
class SysStore extends BaseStore<TagDataType> {
    constructor() {
        super(SysConfig)
        makeObservable(this, {
            addBanner: action,
            getbanner: action,
            bannerList: observable,
        })
    }

    async addBanner(param: any) {
        await baseHttp.post(SysConfig.ADDBanner, param)
        this.getbanner();
    }
    async getbanner() {
        let res = await baseHttp.get(SysConfig.LISTBannler, {})
        this.bannerList = res.data.record
    }
    bannerList: Array<any> = []
    list: Array<any> = [
        { id: 1, name: "婚姻" },
        { id: 2, name: "政治面貌" },
        { id: 3, name: "文化程度" },
        { id: 4, name: "民族" },
        { id: 5, name: "单位性质" },
        { id: 6, name: "服役军兵种" },
        { id: 7, name: "军衔" },
        { id: 8, name: "技术职称" },
        { id: 9, name: "职务级别" },
    ];
}
export const sysStore = new SysStore()

